Subject: Re: bug#70654: 30.0.50; defadvice bug (?)

From: Colin Baxter <[email-masked]>
Date: Mon, 29 Apr 2024 20:43:24 +0100

>>>>> Bug reports for GNU Emacs, the Swiss army knife of text editors <Stefan> writes:

    >>> This may not be the way to reproduce though,
    >>> 
    >>> $ emacs -Q M-x package-initialize
    >>> 
    >>> Then evaluates the following
    >>> 
    >>> (defun test () (defadvice yank-pop (around
    >>> kill-ring-browse-maybe (arg)) (interactive "p")) (ad-activate
    >>> 'yank-pop)) (test)
    >>> 
    >>> With above, *Compile-Log* buffer contains,
    >>> 
    >>> Error: Wrong type argument: arrayp, (lambda (ad--addoit-function
    >>> arg) (interactive "p") (let (ad-return-value) nil
    >>> ad-return-value))
    >>> 
    >>> I suspect the commit id f2bccae22bd47a2e7e0937b78ea06131711b935a
    >>> (Use a dedicated type to represent interpreted-function values)
    >> 
    >> CC'ing Stefan.

    > I believe I fixed this a couple hours ago.

You have, I had this problem but it's now fixed.

Best wishes,